
Redmine - Defect #10749

Error while fetching email from pop3 server

2012-04-24 11:04 - Andrey Krot

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

System info

Server OS: CentOS

Database: MySQL 5

Ruby 1.8.7

Rails 2.3.14

Redmine 1.3.2 Stable

While start rake redmine:email:receive_pop3, i see the next error

rake aborted!

undefined method `count' for nil:NilClass

If I clean mailbox, problem go away.

But sometime it occures again.

Trace attached.

History

#1 - 2012-04-24 20:57 - Jean-Philippe Lang

Did you make any change to lib/redcloth3.rb?

#2 - 2012-04-24 20:57 - Jean-Philippe Lang

- Resolution set to Cant reproduce

#3 - 2012-04-25 03:24 - Andrey Krot

No, i didn't.

It seems to me, that the problem is in som special messages in mailbox.

May be, this is a problem with Microsoft Exchange mail server.

This problem happen already 3 times.

#4 - 2012-04-25 09:14 - Etienne Massip

Run the rake task with the --trace argument to get the full trace of the exception.

And please check your production.log file content.

Do you have any plugins installed (see SubmittingBugs)?

#5 - 2012-04-25 15:31 - Andrey Krot

I've already run rake task with --trace parameter, and attached file is the result.

It's very dificult to get information from production.log, because the error occured on the real productive base, and there are too many lines in log file.

Of course, there are some plugins installed. There is the list of plugins.

Redmine Better Gantt Chart plugin     0.6.3

Redmine release notes plugin        1.1.0

Redmine Ft Import plugin         0.0.1

Smart issues sort plugin         0.2.5

Redmine Theme Changer              0.0.5

Redmine Wktime plugin              0.0.1

Issues XLS export             0.1.3
#6 - 2012-04-25 18:47 - Jean-Philippe Lang

Could you save one of these emails in raw format (.eml) and post it here please?

#7 - 2012-04-26 03:18 - Andrey Krot

- File message.7z.001 added

- File message.7z.002 added

The problem message in attachment.

I divide it into two files becaus of file size limitation

#8 - 2013-04-26 08:12 - Andrey Krot

This issue does not solved. No ideas?

#9 - 2013-05-02 08:42 - Toshi MARUYAMA

- Category set to Email receiving

Files

trace.log 2.74 KB 2012-04-24 Andrey Krot

message.7z.001 488 KB 2012-04-26 Andrey Krot

message.7z.002 169 KB 2012-04-26 Andrey Krot
